import pdal
import numpy as np
import sys
import getopt


## TEST HARNESS
## TODO: begin placing some components of the test harness into functions
## TODO: Clean up the code in general 
## TODO: Make sure to clean up pipeline options specifically and make it all more flexible and ready for various input
if __name__ == "__main__":


 if filepath == None:
        print("Defaulting to Vricon data stored on the DIRS Scratch")
        #filepath = "/dirs/scratch/DavidLewis/ftp.vricon.com/Rochester_NY/vricon_3d_surface_model_i3s/data/vricon_i3s.slpk"
        filepath = "data/SMALL_AUTZEN_LAS_ALL.slpk"

    print("Using {0}".format(filepath))

    pipeline_convert_tif = """
    {{
        "pipeline":[
            {{
                "type":"readers.slpk",
                "filename":"{0}"
            }},
            {{
                "resolution": 10,
                "filename":"output.tif"
            }}
        ]
    }}""".format(filepath)  

    # Start the pipeline work
    pipeline = pdal.Pipeline(pipeline_convert_tif)
    pipeline.validate() # Validate that defined pipeline is OK
    pipeline.loglevel = 8
    count = pipeline.execute()
    arrays = pipeline.arrays
    metadata = pipeline.metadata
    log = pipeline.log